%global dlrn_nvr openstack-heat-16.1.1.dev7-1.20230416004033.2d5a87d
%global dlrn 1
%define upstream_version 16.1.1.dev7
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0
%global rhosp 1
%global service heat

%global common_desc \
Heat is a service to orchestrate composite cloud applications using a \
declarative template format through an OpenStack-native REST API.


Name:           openstack-%{service}
Summary:        OpenStack Orchestration (%{service})
# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:          1
Version: 16.1.1
Release: 1.20230416004033.2d5a87d%{?dist}
License:        ASL 2.0
URL:            http://www.openstack.org
Source0: openstack-heat-16.1.1.dev7-1.20230416004033.2d5a87d.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=2d5a87d3ae38c43813db8f2779de5e990281640b

#

Obsoletes:      %{service} < 7-9
Provides:       %{service}

Source1:        %{service}.logrotate
Source2:        openstack-%{service}-api.service
Source3:        openstack-%{service}-api-cfn.service
Source4:        openstack-%{service}-engine.service
Source6:        openstack-%{service}-all.service

Source20:       %{service}-dist.conf
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{service}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch: noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif
BuildRequires: git-core
BuildRequires: openstack-macros
BuildRequires: python3-devel
BuildRequires: python3-stevedore >= 1.20.0
BuildRequires: python3-oslo-cache
BuildRequires: python3-oslo-context
BuildRequires: python3-oslo-middleware
BuildRequires: python3-oslo-policy
BuildRequires: python3-oslo-messaging
BuildRequires: python3-setuptools
BuildRequires: python3-oslo-i18n
BuildRequires: python3-oslo-db
BuildRequires: python3-oslo-upgradecheck
BuildRequires: python3-oslo-utils
BuildRequires: python3-oslo-log
BuildRequires: python3-oslo-versionedobjects
BuildRequires: python3-eventlet
BuildRequires: python3-kombu
BuildRequires: python3-netaddr
BuildRequires: python3-neutron-lib
BuildRequires: python3-osprofiler
BuildRequires: python3-six
BuildRequires: python3-paramiko
BuildRequires: python3-yaql
# These are required to build due to the requirements check added
BuildRequires: python3-routes
BuildRequires: python3-sqlalchemy < 1.4.0
BuildRequires: python3-pbr
BuildRequires: python3-cryptography
# These are required to build the config file
BuildRequires: python3-oslo-config
BuildRequires: python3-keystoneauth1
BuildRequires: python3-keystoneclient
BuildRequires: python3-tenacity >= 4.4.0
# Required to compile translation files
BuildRequires: python3-babel

BuildRequires: python3-yaml
BuildRequires: python3-lxml
BuildRequires: python3-migrate
BuildRequires: python3-paste-deploy
BuildRequires: python3-redis
BuildRequires: python3-webob

BuildRequires: systemd

%if 0%{?with_doc}
BuildRequires: python3-openstackdocstheme
BuildRequires: python3-sphinx
BuildRequires: python3-sphinxcontrib-apidoc
BuildRequires: python3-cinderclient
BuildRequires: python3-novaclient
BuildRequires: python3-saharaclient
BuildRequires: python3-neutronclient
BuildRequires: python3-swiftclient
BuildRequires: python3-heatclient
BuildRequires: python3-glanceclient
BuildRequires: python3-troveclient
BuildRequires: python3-aodhclient
BuildRequires: python3-barbicanclient
BuildRequires: python3-designateclient
BuildRequires: python3-magnumclient
BuildRequires: python3-monascaclient
BuildRequires: python3-manilaclient
BuildRequires: python3-zaqarclient
BuildRequires: python3-croniter
BuildRequires: python3-gabbi
BuildRequires: python3-testscenarios
BuildRequires: python3-tempest
BuildRequires: python3-gabbi
# NOTE(ykarel) zunclient are not packaged yet.
#BuildRequires: python3-zunclient
%endif

Requires: %{name}-common = %{epoch}:%{version}-%{release}
Requires: %{name}-engine = %{epoch}:%{version}-%{release}
Requires: %{name}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-api-cfn = %{epoch}:%{version}-%{release}

%package -n python3-%{service}-tests
%{?python_provide:%python_provide python3-%{service}-tests}
Summary:        Heat tests
Requires:       %{name}-common = %{epoch}:%{version}-%{release}

Requires: python3-mox3
Requires: python3-oslotest
Requires: python3-testresources
Requires: python3-oslotest
Requires: python3-oslo-log >= 4.3.0
Requires: python3-oslo-utils >= 3.40.0
Requires: python3-heatclient
Requires: python3-cinderclient
Requires: python3-zaqarclient
Requires: python3-keystoneclient
Requires: python3-swiftclient
Requires: python3-paramiko
Requires: python3-kombu
Requires: python3-oslo-config >= 6.0.0
Requires: python3-oslo-concurrency
Requires: python3-requests >= 2.14.2
Requires: python3-eventlet >= 0.18.2
Requires: python3-gabbi

Requires: python3-yaml >= 5.1

%description -n python3-%{service}-tests
%{common_desc}
This package contains the Heat test files.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n openstack-%{service}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

# Remove tests in contrib
find contrib -name tests -type d | xargs rm -r

%build
%{py3_build}

# Generate i18n files
%{__python3} setup.py compile_catalog -d build/lib/%{service}/locale

# Generate sample config and add the current directory to PYTHONPATH so
# oslo-config-generator doesn't skip heat's entry points.
PYTHONPATH=. oslo-config-generator --config-file=config-generator.conf

%install
%{py3_install}
sed -i -e '/^#!/,1 d' %{buildroot}/%{python3_sitelib}/%{service}/db/sqlalchemy/migrate_repo/manage.py

mkdir -p %{buildroot}/%{_localstatedir}/log/%{service}/
mkdir -p %{buildroot}/%{_localstatedir}/run/%{service}/
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-%{service}

# install systemd unit files
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/openstack-%{service}-api.service
install -p -D -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/openstack-%{service}-api-cfn.service
install -p -D -m 644 %{SOURCE4} %{buildroot}%{_unitdir}/openstack-%{service}-engine.service
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/openstack-%{service}-all.service

mkdir -p %{buildroot}/%{_sharedstatedir}/%{service}/
mkdir -p %{buildroot}/%{_sysconfdir}/%{service}/

%if 0%{?with_doc}
sphinx-build -b html doc/source doc/build/html
sphinx-build -b man doc/source doc/build/man
mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m 644 doc/build/man/*.1 %{buildroot}%{_mandir}/man1/
%endif

rm -f %{buildroot}/%{_bindir}/%{service}-db-setup
rm -f %{buildroot}/%{_mandir}/man1/%{service}-db-setup.*
rm -rf %{buildroot}/var/lib/%{service}/.dummy
rm -f %{buildroot}/usr/bin/cinder-keystone-setup

install -p -D -m 640 etc/%{service}/%{service}.conf.sample %{buildroot}/%{_sysconfdir}/%{service}/%{service}.conf
install -p -D -m 640 %{SOURCE20} %{buildroot}%{_datadir}/%{service}/%{service}-dist.conf
echo '[revision]' >> %{buildroot}%{_datadir}/%{service}/%{service}-dist.conf
echo '%{service}_revision=%{version}' >> %{buildroot}%{_datadir}/%{service}/%{service}-dist.conf
mv %{buildroot}%{_prefix}/etc/%{service}/api-paste.ini %{buildroot}/%{_datadir}/%{service}/api-paste-dist.ini
mv %{buildroot}%{_prefix}/etc/%{service}/environment.d %{buildroot}/%{_sysconfdir}/%{service}
mv %{buildroot}%{_prefix}/etc/%{service}/templates %{buildroot}/%{_sysconfdir}/%{service}
# Remove duplicate config files under /usr/etc/heat
rmdir %{buildroot}%{_prefix}/etc/%{service}

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/%{service}/locale/*/LC_*/%{service}*po
rm -f %{buildroot}%{python3_sitelib}/%{service}/locale/*pot
mv %{buildroot}%{python3_sitelib}/%{service}/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang %{service} --all-name

%description
%{common_desc}

%package common
Summary: Heat common
Group: System Environment/Base

Obsoletes: %{name}-api-cloudwatch < %{epoch}:10.0.0

Requires: python3-pbr >= 3.1.1
Requires: python3-croniter >= 0.3.35
Requires: python3-eventlet >= 0.18.2
Requires: python3-stevedore >= 3.1.0
Requires: python3-netaddr >= 0.7.18
Requires: python3-neutron-lib >= 1.14.0
Requires: python3-osprofiler >= 1.4.0
Requires: python3-requests >= 2.14.2
Requires: python3-routes >= 2.3.1
Requires: python3-sqlalchemy >= 1.0.10
Requires: python3-sqlalchemy < 1.4.0
Requires: python3-paramiko
Requires: python3-babel >= 2.3.4
# FIXME: system version is stuck to 1.7.2 for cryptography
Requires: python3-cryptography >= 2.5
Requires: python3-yaql >= 1.1.3

Requires: python3-oslo-cache >= 1.26.0
Requires: python3-oslo-concurrency >= 3.26.0
Requires: python3-oslo-config >= 2:6.0.0
Requires: python3-oslo-context >= 2.22.0
Requires: python3-oslo-upgradecheck >= 0.1.0
Requires: python3-oslo-utils >= 3.40.0
Requires: python3-oslo-db >= 6.0.0
Requires: python3-oslo-i18n >= 3.20.0
Requires: python3-oslo-middleware >= 3.31.0
Requires: python3-oslo-messaging >= 5.29.0
Requires: python3-oslo-policy >= 3.7.0
Requires: python3-oslo-reports >= 1.18.0
Requires: python3-oslo-serialization >= 2.25.0
Requires: python3-oslo-service >= 1.24.0
Requires: python3-oslo-log >= 4.3.0
Requires: python3-oslo-versionedobjects >= 1.31.2
Requires: python3-debtcollector >= 1.19.0

Requires: python3-cinderclient >= 3.3.0
Requires: python3-glanceclient >= 1:2.8.0
Requires: python3-heatclient >= 1.10.0
Requires: python3-keystoneclient >= 1:3.8.0
Requires: python3-keystonemiddleware >= 5.1.0
Requires: python3-neutronclient >= 6.14.0
Requires: python3-novaclient >= 9.1.0
Requires: python3-saharaclient >= 1.4.0
Requires: python3-swiftclient >= 3.2.0
Requires: python3-troveclient >= 2.2.0

Requires: python3-keystoneauth1 >= 3.18.0
Requires: python3-barbicanclient >= 4.5.2
Requires: python3-designateclient >= 2.7.0
Requires: python3-manilaclient >= 1.16.0
Requires: python3-mistralclient >= 3.1.0
Requires: python3-openstackclient >= 3.12.0
Requires: python3-zaqarclient >= 1.3.0
Requires: python3-aodhclient >= 0.9.0
Requires: python3-magnumclient >= 2.3.0
Requires: python3-octaviaclient >= 1.8.0
Requires: python3-ironicclient >= 2.8.0
%if 0%{rhosp} == 0
Requires: python3-monascaclient >= 1.12.0
%endif
Requires: python3-openstacksdk >= 0.11.2
Requires: python3-tenacity >= 6.1.0

Requires: python3-yaml >= 5.1
Requires: python3-lxml >= 4.2.3
Requires: python3-migrate >= 0.13.0
Requires: python3-paste-deploy >= 1.5.0
Requires: python3-webob >= 1.7.1
Requires: python3-pytz >= 2013.6

Requires(pre): shadow-utils

%description common
Components common to all OpenStack Heat services

%files common -f %{service}.lang
%doc LICENSE
%{_bindir}/%{service}-manage
%{_bindir}/%{service}-status
%{_bindir}/%{service}-keystone-setup
%{_bindir}/%{service}-keystone-setup-domain
%{python3_sitelib}/%{service}
%{python3_sitelib}/openstack_%{service}-%{upstream_version}-*.egg-info
%exclude %{python3_sitelib}/%{service}/tests
%attr(-, root, %{service}) %{_datadir}/%{service}/%{service}-dist.conf
%attr(-, root, %{service}) %{_datadir}/%{service}/api-paste-dist.ini
%dir %attr(0755,%{service},root) %{_localstatedir}/log/%{service}
%dir %attr(0755,%{service},root) %{_localstatedir}/run/%{service}
%dir %attr(0755,%{service},root) %{_sharedstatedir}/%{service}
%dir %attr(0755,%{service},root) %{_sysconfdir}/%{service}
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-%{service}
%config(noreplace) %attr(-, root, %{service}) %{_sysconfdir}/%{service}/%{service}.conf
%config(noreplace) %attr(-,root,%{service}) %{_sysconfdir}/%{service}/environment.d/*
%config(noreplace) %attr(-,root,%{service}) %{_sysconfdir}/%{service}/templates/*
%if 0%{?with_doc}
%{_mandir}/man1/%{service}-keystone-setup.1.gz
%{_mandir}/man1/%{service}-keystone-setup-domain.1.gz
%{_mandir}/man1/%{service}-manage.1.gz
%{_mandir}/man1/%{service}-status.1.gz
%endif

%files -n python3-%{service}-tests
%license LICENSE
%{python3_sitelib}/%{service}/tests
%{python3_sitelib}/%{service}_integrationtests

%pre common
# 187:187 for heat - rhbz#845078
getent group %{service} >/dev/null || groupadd -r --gid 187 %{service}
getent passwd %{service}  >/dev/null || \
useradd --uid 187 -r -g %{service} -d %{_sharedstatedir}/%{service} -s /sbin/nologin \
-c "OpenStack Heat Daemons" %{service}
exit 0

%package engine
Summary: The Heat engine

Requires: %{name}-common = %{epoch}:%{version}-%{release}

%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif

%description engine
%{common_desc}

The %{service}-engine's main responsibility is to orchestrate the launching of
templates and provide events back to the API consumer.

%files engine
%doc README.rst LICENSE
%if 0%{?with_doc}
%doc doc/build/html/man/%{service}-engine.html
%endif
%{_bindir}/%{service}-engine
%{_unitdir}/openstack-%{service}-engine.service
%if 0%{?with_doc}
%{_mandir}/man1/%{service}-engine.1.gz
%endif

%post engine
%systemd_post openstack-%{service}-engine.service

%preun engine
%systemd_preun openstack-%{service}-engine.service

%postun engine
%systemd_postun_with_restart openstack-%{service}-engine.service


%package api
Summary: The Heat API

Requires: %{name}-common = %{epoch}:%{version}-%{release}

%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif

%description api
%{common_desc}

The %{service}-api component provides an OpenStack-native REST API that processes API
requests by sending them to the %{service}-engine over RPC.

%files api
%doc README.rst LICENSE
%if 0%{?with_doc}
%doc doc/build/html/man/%{service}-api.html
%endif
%{_bindir}/%{service}-api
%{_bindir}/%{service}-wsgi-api
%{_unitdir}/openstack-%{service}-api.service
%if 0%{?with_doc}
%{_mandir}/man1/%{service}-api.1.gz
%endif

%post api
%systemd_post openstack-%{service}-api.service

%preun api
%systemd_preun openstack-%{service}-api.service

%postun api
%systemd_postun_with_restart openstack-%{service}-api.service


%package api-cfn
Summary: Heat CloudFormation API

Requires: %{name}-common = %{epoch}:%{version}-%{release}

%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif

%description api-cfn
%{common_desc}

The %{service}-api-cfn component provides an AWS Query API that is compatible with
AWS CloudFormation and processes API requests by sending them to the
%{service}-engine over RPC.

%files api-cfn
%doc README.rst LICENSE
%if 0%{?with_doc}
%doc doc/build/html/man/%{service}-api-cfn.html
%endif
%{_bindir}/%{service}-api-cfn
%{_bindir}/%{service}-wsgi-api-cfn
%{_unitdir}/openstack-%{service}-api-cfn.service
%if 0%{?with_doc}
%{_mandir}/man1/%{service}-api-cfn.1.gz
%endif

%post api-cfn
%systemd_post openstack-%{service}-api-cfn.service

%preun api-cfn
%systemd_preun openstack-%{service}-api-cfn.service

%postun api-cfn
%systemd_postun_with_restart openstack-%{service}-api-cfn.service


%package monolith
Summary: The combined Heat engine/API

Requires: %{name}-common = %{epoch}:%{version}-%{release}

%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif

%description monolith
%{common_desc}

The %{service}-all process bundles together any (or all) of %{service}-engine,
%{service}-api, and %{service}-cfn-api into a single process. This can be used
to bootstrap a minimal TripleO deployment, but is not the recommended way of
running the Heat service in general.

%files monolith
%doc README.rst LICENSE
%{_bindir}/%{service}-all
%{_unitdir}/openstack-%{service}-all.service

%post monolith
%systemd_post openstack-%{service}-all.service

%preun monolith
%systemd_preun openstack-%{service}-all.service

%postun monolith
%systemd_postun_with_restart openstack-%{service}-all.service


%changelog
* Sat Apr 15 2023 OSP Prod Chain <dev-null@redhat.com> 1:16.1.1-1.20230416004033.2d5a87d
- Update patches
- Added a unit test for get_environment_hidden_param
- Honor 'hidden' parameter in 'stack environment show' command

* Tue Apr 11 2023 OSP Prod Chain <dev-null@redhat.com> 1:16.1.1-1.20230412014000.37e9da2
- Update patches
- Fix setting the tempest virtual env constraints env var

* Thu Jan 19 2023 OSP Prod Chain <dev-null@redhat.com> 1:16.1.1-1.20230119224806.23a6768
- Update patches
- Ignore resource_data decryption errors

* Sat Nov 19 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.1.1-1.20221120004150.8d609ba
- Update patches
- Allow deleting user_creds when can't be decrypted

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.1.0-1.20221109030922.167ece3
- Update patches

* Wed Oct 19 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-1.20221019094127.167ece3
- Update patches
- zuul: Declare queue at top level

* Mon Oct 10 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-1.20221011023714.9e91fa2
- zuul: Declare queue at top level

* Tue Sep 06 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-1.20220906194804.9e91fa2
- Update patches
- Fix AttributeError in Python 3.8

* Sat Aug 20 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-1.20220820223721.d0e2ded
- Update patches
- Remove TripleO job

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-1.20220728063940.04abd1c
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-1.20220727161658.04abd1c
- Log parameters merged (rhbz#2102466)

* Sun Jul 24 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-1.20220724224226.04abd1c
- Update patches
- Log parameters merged

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-1.20220718140819.a4f2f60
- Update patches
- Don't always replace FAILED ServerGroup resources
- Use openstack commands in upgrade plugin
- Make grenade job voting again
- Fix parameter merging with merge strategies
- Drop lower-constraints.txt and its testing
- Use constraints when creating tempest venv
- Use previous parameter merge strategy
- Use f36 instead of f33 for testing

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20220416023220.aa31864
- Update patches
- Fix None comparision when sorting by `updated_at`

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20211201003129.704389f
- Update patches
- Fix timeout calc of nested resource groups

* Tue Nov 30 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20211130081858.e04d206
- Update patches
- Reproduce bug story/2009237

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20211123001909.69699b2
- Update patches
- Provide install_command to pip install with upper-constraints

* Wed Nov 10 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20211111002004.6211913
- Update patches
- Fallback to upstream for Fedora image

* Thu Aug 26 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20210827004012.ead4022
- Update patches
- Make grenade job voting again

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20210821012828.73150f2
- Update patches
- Detect EL8 platform-python

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20210804012800.8fbd447
- Update patches
- Use Block Storage API v3 instead of API v2

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20210528100424.7b9ffc5
- Update patches

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.1-0.20210427021755.7b9ffc5
- Update patches
- Preserve order in list_concat_unique
- Don't update status for replaced resource
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-0.1.0rc1
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 1:16.0.0-0.1.0rc1
- Update patches
- Assume interface detach called for port not found

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add separate policy for updates with no changes
- Fix avoid deprecation warnings from policy
- Add segments attribute to OS::Neutron::ProviderNet
- Allow deleting Server/DeployedServer without swift/zaqar
- Use neutron client for server.addresses
- Fix typo in documentation
- Remove references to basestring
- Switch to collections.abc.*
- Allow creating a Neutron port without fixed ips
- Move testing to Fedora 33
- Fix invalid argument formatting in exception messages
- Adds backups and backups_gigabytes parameters to cinder quota resource
- Remove deprecated tail_log function
- Always reset CONF when starting the wsgi app
- Regenerate trust when update with different user
- Add Vitrage template resource
- Optimise resource type listing
- Use resource_id instead of phy rsrc name in InstanceGroup
- Ignore old 'vN-branch' tags when scanning for release notes
- Fix duplicated words issue like "can be be used"
- Workaround client race in legacy nested stack delete
- Allow turning off max_stacks limit

* Tue Mar 02 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Implement secure RBAC

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Allow using database configs on db retry

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix iter bug with SQlAlchemy 1.3.23
- Don't create deployment when changing transport

* Wed Jan 20 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add openstack-python3-wallaby-jobs-arm64 job

* Tue Jan 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Bump requirements to support secure RBAC effort
- Update doc8 version
- Imported Translations from Zanata
- Use assertCountEqual instead of assertItemsEqual
- Use TOX_CONSTRAINTS_FILE
- Delete default security groups created by stack.
- Fix pygments style

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix multiple gate issues

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Dec 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata
- Align lower-constraints for new pip
- Fix args for initializing trove client

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Restore to vote for grenade job

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Replace Fedora test image with F32

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata
- Use TOX_CONSTRAINTS_FILE
- Adopt grenade to multinode setting

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add test cases to check user{domain} pattern.
- [S2007220]: Added more image properties to web_image
- Imported Translations from Zanata
- Add more information for tests
- Update get_hosts to use available API
- As of nova microversion 2.57, personality is deprecated
- Remove gabbi tempest plugin
- Switch from unittest2 compat methods to Python 3.x methods
- S2007837: Fixes domain_id parameter in the user find call
- Remove handling for client status races

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Increase max_stacks_per_tenant for tests

* Fri Nov 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add SOURCE_IP_PORT to LB_ALGORITHM allowed values

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Delete the default value of domain in role creation

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata
- Use set instead of list of server_deferred_statuses

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove grenade-heat and heat-functional-non-apache
- Modify 'if' Macro to allow optional properties
- Add template version 2021-04-16 for Wallaby
- Dep's should be restricted by upper-constraints
- Allow null values to be returned from Macros
- Refactor Properties._get_property_value()

* Thu Oct 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- API ref: Update sample output of resource type APIs

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Mon Oct 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Configure swap as before

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use err.errno to access errno for socket errors

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add Python3 wallaby unit tests
- Update master for stable/victoria
- Mark support for python3.8

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Net attr: Sort segments without name attribute first

* Sun Sep 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Set context username if session client is used

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Stop testing ceilometer and aodh

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix lower-constraints errors

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Lazily cache parsed value of list/json parameters

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Bump MANILACLIENT_VERSION and use sharev2 endpoint

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Bump MANILACLIENT_VERSION and use sharev2 endpoint
- Bump MANILACLIENT_VERSION and use sharev2 endpoint

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Bump MANILACLIENT_VERSION and use sharev2 endpoint

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Assigning resource_id to resource OS::Cinder::QoSAssociation

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Correct release version for OS::Neutron::ProviderNet dns_domain

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add 'smart-nic' vnic type support for OS::Neutron::Port

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix OS::Heat::Delay resource type

* Sat Aug 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Supports 'virtio-forwarder' vnic type for port

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add U + V release codenames for docs generation

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Eliminate Master/Slave terminology from Designate Zone resource

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Rename variables in sort key validation
- Improve naming of get_allowed_params() argument

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use 'skiplist' to describe skipped indices in ResourceGroup code

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use correct attribute from entrypoint

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Deprecate wrappertask decorator

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Don't check stack staus for already migrated stacks

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use unittest.mock instead of mock

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Check for nova exception.Conflict rather than task_state

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use never expiring alarm_url for resource attributes

* Sat Jun 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Don't store signal_url for ec2 signaling of deployments

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Allow scale-down of ASG as part of update

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add propagate_uplink_status support to OS::Neutron::Port

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add native grenade zuul v3 jobs

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix hacking min version to 3.0.1

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use Fedora 31 for tests
- Fix pep8 E741 errors

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Return empty list instead of None for tags

* Sun May 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Monkey patch original current_thread _active

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Clean up API policy decorators

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add a /healthcheck URL

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Simplify logic in retrigger_check_resource()
- Add dns_domain support to OS::Neutron::ProviderNet

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Ensure use of stored properties in actions
- Add Python3 victoria unit tests

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Logging Consistency

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Update master for stable/ussuri

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support

* Sat May 02 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support

* Fri May 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Check external resources after creation

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- pep8: Enable E226

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Update pep8 rules

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- New resource OS::Neutron::QoSMinimumBandwidthRule
- Add Ironic Port resource type support
- Remove six and python 2.7 full support

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Mark OS::Neutron::QoSDscpMarkingRule as admin only

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support
- Reduce Heat engine workers

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use random exponential delay

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata
- Retry transactions for DBConnectionError

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support
- Remove six and python 2.7 full support

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove six and python 2.7 full support
- Prepare the six and python 2.7 support dropping

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add group property for OS::Heat::MultipartMime

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix hacking warnings

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Update hacking for Python3

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata
- Fix genconfig tox env
- Filter by project id in list_security_groups

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add ironic client plugin support
- Sync lower contraint with test-requirement

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix doc building with Sphinx 3

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix external_validate for Heat resources

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Keep db model and migration scripts in sync

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Add Octavia Quota Resource for lbaas quota parameters

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Support allowed_cidrs for Octavia listener

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Split 'action' policy into more granular controls

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Allow tags to be removed with update --existing

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Handle OS::Mistral::Workflow resource replacement properly
- Support handling empty string for volume AZ
- Update Fedora image ref for test jobs
- Make tags handling more robust

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Migrate doc path to contributor
- Docs: Fix links broken since Train release
- Docs: Fix link broken since Stein release
- Docs: use extrefs to link to other projects' docs

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Use resource_id instead of phy res name `OS::Heat::AutoScalingGroup`
- Make properties updatable for IKE policy of VPNaaS
- Deprecate 'accessIPv4'/'accessIPv6' attributes
- Avoid dynamic import from monasca client
- Check task_state of instance before volume actions

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Don't get frozen definitions for resource being deleted
- Refactor test_conditions functional test

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- [S2007072] Enables case insensitive user name search.
- Improve handle_delete/check_delete_complete for resources

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix grenade job failure
- [ussuri][goal] Finish dropping python 2.7 support
- Do not cache volume status attribute

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Fix Designate Zone ID lookup for real"
- Fix Designate Zone ID lookup for real

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "New resource OS::Neutron::ExtraRouteSet"
- New resource OS::Neutron::ExtraRouteSet

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add support for Octavia's Flavor and FlavorProfile resources"
- Add support for Octavia's Flavor and FlavorProfile resources

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Support tls_enabled for Octavia pool"
- Support tls_enabled for Octavia pool

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove image upload dependency on g-reg

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Heat templates doesn't support AZ for trove cluster"
- Heat templates doesn't support AZ for trove cluster

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Fix OS::Neutron::ExtraRoute delete with IPv6

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Dashboard: Add stable branch reviews"
- Merge "Replace git.openstack.org URLs with opendev.org URLs"
- Merge "Fix the misspelling of "except""
- Merge "Support for shared services in multi region mode"
- Merge "Remove unrequired migrate check in test"
- Merge "Remove the unnecessary jeos building docs"
- Merge "Update the default implementation of _show_resource"
- Replace git.openstack.org URLs with opendev.org URLs
- Fix the misspelling of "except"
- Dashboard: Add stable branch reviews
- Support for shared services in multi region mode
- Remove unrequired migrate check in test
- Remove the unnecessary jeos building docs
- Update the default implementation of _show_resource

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Migrate heat-functional-non-apache to zuul v3"
- Migrate heat-functional-non-apache to zuul v3

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Cache service availability results per request"
- Cache service availability results per request

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add unit test for creating structured SW Config"
- Merge "Added a Vitrage client"
- Add unit test for creating structured SW Config
- Added a Vitrage client

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Migrate functional test jobs to zuul v3"
- Migrate functional test jobs to zuul v3

* Wed Jan 01 2020 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "tox: Keeping going with docs"
- tox: Keeping going with docs

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Use resource description as default description property"
- Use resource description as default description property

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "zun: add 'tty' property to container"
- zun: add 'tty' property to container

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add release note for log path changes"
- Merge "pep8: Permit ".)" at the end of resource docs"
- pep8: Permit ".)" at the end of resource docs
- Add release note for log path changes

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add unit test for API 'check' action"
- Add unit test for API 'check' action

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Update readme"
- Update readme

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "DB: Never retry a subtransaction"
- DB: Never retry a subtransaction

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Eliminate race in CancelUpdateTest"
- Eliminate race in CancelUpdateTest

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Deprecate injected_file properties in Nova Quota Resource

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Revert "Add retries when loading keystone data and fetching endpoints""
- Revert "Add retries when loading keystone data and fetching endpoints"

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Use client_retry_limit for keystone connection retry"
- Use client_retry_limit for keystone connection retry

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Remove setting of DEVSTACK_GATE_EXERCISES"
- Merge "Imported Translations from Zanata"
- Merge "Fix Firewall policy resource"
- Imported Translations from Zanata
- Merge "Drop creating extra endpoints in devstack"
- Merge "PDF documentation build"
- Merge "Don't raise not found in delete raw template"
- Merge "Add unit test for nested stack cancel"
- Migrate grenade jobs to py3
- Add unit test for nested stack cancel
- Don't raise not found in delete raw template
- Fix Firewall policy resource
- PDF documentation build
- Drop creating extra endpoints in devstack
- Remove setting of DEVSTACK_GATE_EXERCISES

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Drop Python2 support"
- Drop Python2 support

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Pre-empt in-progress nested stack updates on new update"
- Pre-empt in-progress nested stack updates on new update

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Fix Designate Zone ID lookup"
- Fix Designate Zone ID lookup

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Remove nova api extension checks

* Sun Nov 03 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add functional test for utf-8 decode issues"
- Add functional test for utf-8 decode issues

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Update osprofiler about doc"
- Update osprofiler about doc

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add Blazar custom constraint plugin"
- Add Blazar custom constraint plugin

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "DB: Remove unnecessary subtransactions=True"
- DB: Remove unnecessary subtransactions=True

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Fix cfn-init-data path in ignition"
- Fix cfn-init-data path in ignition

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Don't use wrap_db_retry on subtransaction in resource_create_replacement()"
- Don't use wrap_db_retry on subtransaction in resource_create_replacement()

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add regression tests for conditional outputs in nested stacks"
- Add regression tests for conditional outputs in nested stacks

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Ignore not found when delete raw template"
- Ignore not found when delete raw template

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Don't mark snapshot complete while task in progress

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Support domain in keystone lookups"
- Support domain in keystone lookups

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Add a non-racy check for unique stack names"
- Merge "Don't use duplicate stack names in DB unit tests"
- Add a non-racy check for unique stack names
- Don't use duplicate stack names in DB unit tests

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Squash database patches"
- Merge "fix logger names"
- Squash database patches
- fix logger names

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Bump lower constraint of python-zunclient"
- Bump lower constraint of python-zunclient

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Imported Translations from Zanata


